import InfoBar from "~/components/InfoBar/"

import styles from '~/styles/pay-transparency.module.css'

export default function PayTransparency() {
  return (
    <>
      <h1 className="pageTitle">
        Pay Transparency
      </h1>
      <main className="mainColumn">
        <InfoBar text="Last updated: May 2023" />
        <p>
          This page lists the title and pay rate of every job we have held
          since university graduation, and is inspired by{' '}
          <a target="_blank" href="https://rin.systems/pay-transparency/">Rin's pay transparency</a>
          {' '}page.  That page is what inspired us to make this one, and we hope the
          idea continues to spread, as the more people know what common compensation is
          across the industry, the more we can all benefit.
        </p>

        <div className={styles.horizOverflow}>
          <div className={styles.table}>
            <span className={styles.heading}>Role</span>
            <span className={styles.heading}>Start</span>
            <span className={styles.heading}>End</span>
            <span className={styles.heading}>Rate / Salary</span>

            <span className={styles.position}>Software Developer</span>
            <span>Jan 2020</span>
            <span>Sept 2020</span>
            <span>$35 USD / hour</span>

            <span className={styles.position}>Software Engineer</span>
            <span>Jan 2021</span>
            <span>Sept 2021</span>
            <span>$90,000 USD / year
              <em>*</em>
            </span>

            <span className={styles.position}>Software Engineer</span>
            <span>Sept 2021</span>
            <span>Oct 2022</span>
            <span>$100,800 USD / year
              <em>*</em>
            </span>

            <span className={styles.position}>Software Engineer</span>
            <span>Oct 2021</span>
            <span>Jan 2022</span>
            <span>$105,840 USD / year
              <em>*</em>
            </span>

            <span className={styles.position}>Senior Software Engineer</span>
            <span>Jan 2022</span>
            <span>May 2022</span>
            <span>$121,716 USD / year
              <em>*</em>
            </span>

            <span className={styles.position}>Senior Software Engineer</span>
            <span>June 2022</span>
            <span>March 2023</span>
            <span>$158,000 USD / year
              <em>**</em>
            </span>
          </div>
        </div>

        <p>
          All positions listed here included health, dental, and vision insurance.
        </p>
        <p>
          The positions listed with <em>*</em> came with
          a retirement account.
        </p>
        <p>
          The position listed with <em>**</em> came with
          stock options and a retirement account.
        </p>
      </main>
    </>
  )
}
