'use client'

import React from 'react'
import Image from 'next/image'

import { usePathname } from 'next/navigation'

import header from '~/images/aurora-1197753.jpg'

export default function Title() {
  const pathname = usePathname()

  const isHomepage = pathname === '/'

  return (
    <header className={isHomepage ? 'homepage' : undefined}>
      {isHomepage
        ? <h1 className="siteTitle">tempest.dev</h1>
        : <a href="/" className="siteTitle">tempest.dev</a>
      }
      <nav>
        <a href="/about">about</a>
        <a href="/posts">posts</a>
        <a href="/contact">contact</a>
      </nav>
      <div className="headerBackground">
        <Image
          src={header}
          alt=""
          role="presentation"
          fill={true}
          sizes={`
            (max-width: 2560) 100vw,
            (max-width: 1920) 100vw,
            (max-width: 1280) 100vw,
            (max-width: 800) 100vw,
            (max-width: 600) 100vw,
          `}
        />
      </div>
    </header>
  )
}
